@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;700&display=swap");
* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  position: relative;
  width: 100%;
  max-width: 100%;
  height: 100vh;
  max-height: 100%;
  overflow-x: hidden;
  font-family: "rubik", sans-serif;
}

::-moz-selection {
  background-color: #2b2b2b;
  color: #fff;
}

::selection {
  background-color: #2b2b2b;
  color: #fff;
}

.wrapper {
  width: 100%;
}

.wrapper .search-area {
  position: relative;
  height: 35vh;
  width: 100%;
  background-image: url("../images/pattern-bg.png");
  background-size: cover;
  background-position: center;
  padding: 20px 0;
}

.wrapper .search-area .tracker-field {
  width: 60%;
  margin: 0 auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-field {
    width: 90%;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-field {
    width: 80%;
  }
}

.wrapper .search-area .tracker-field h1 {
  font-size: 1.5rem;
  font-family: "rubik", sans-serif;
  color: #fff;
  margin-bottom: 15px;
  font-weight: 500;
}

.wrapper .search-area .tracker-field form {
  position: relative;
  width: 60%;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-field form {
    width: 100%;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-field form {
    width: 100%;
  }
}

.wrapper .search-area .tracker-field form input {
  width: 100%;
  height: 45px;
  font-family: inherit;
  padding: 0 70px 0 20px;
  border-radius: 7px;
  border: none;
  outline: none;
  font-size: .95rem;
  color: #2b2b2b;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-field form input {
    font-size: .82rem;
    padding: 0 65px 0 15px;
  }
}

.wrapper .search-area .tracker-field form button {
  position: absolute;
  top: 0;
  right: 0;
  height: 45px;
  background-color: #fff;
  padding: 0 15px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  background-color: #000;
  color: #fff;
  outline: none;
  border: none;
  border-radius: 0 7px 7px 0;
  font-size: 1.3rem;
  -webkit-transition: .3s ease;
  transition: .3s ease;
  cursor: pointer;
}

.wrapper .search-area .tracker-field form button:hover {
  background-color: #969696;
}

.wrapper .search-area .tracker-field form .loader {
  display: none;
  position: absolute;
  top: 30%;
  right: 70px;
  -webkit-transform: translateY(-30%);
          transform: translateY(-30%);
  width: 20px;
  height: 20px;
  border: 2px solid;
  border-bottom: none;
  border-left: none;
  border-radius: 50%;
  -webkit-animation: spinner .25s ease infinite;
          animation: spinner .25s ease infinite;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-field form .loader {
    right: 60px;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-field form .loader {
    right: 70px;
  }
}

.wrapper .search-area .tracker-field form .error {
  display: none;
  font-size: .75rem;
  color: black;
  font-weight: 500;
  text-transform: capitalize;
}

.wrapper .search-area .tracker-result {
  position: absolute;
  bottom: -75px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  width: 70%;
  height: 150px;
  margin: 0 auto;
  background-color: #fff;
  border-radius: 10px;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: (minmax(0, 1fr))[4];
      grid-template-columns: repeat(4, minmax(0, 1fr));
  grid-auto-columns: minmax(1);
  padding: 30px;
  z-index: 1000;
  -webkit-box-shadow: 0 6px 13px rgba(0, 0, 0, 0.25);
          box-shadow: 0 6px 13px rgba(0, 0, 0, 0.25);
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-result {
    position: relative;
    width: 90%;
    height: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    margin-top: 20px;
    bottom: 0;
    -webkit-transform: none;
            transform: none;
    left: 0;
    padding: 30px 10px;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-result {
    position: relative;
    width: 80%;
    height: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    margin-top: 20px;
    bottom: 0;
    -webkit-transform: none;
            transform: none;
    left: 0;
    padding: 30px 10px;
  }
}

.wrapper .search-area .tracker-result .result {
  position: relative;
  padding-left: 20px;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-result .result {
    display: block;
    margin-bottom: 20px;
    padding-left: 0;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-result .result {
    display: block;
    margin-bottom: 20px;
    padding-left: 0;
  }
}

.wrapper .search-area .tracker-result .result::before {
  content: '';
  position: absolute;
  width: 1px;
  height: 70%;
  background-color: rgba(87, 87, 87, 0.241);
  left: 0;
  top: 50%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-result .result::before {
    width: 0;
    height: 0;
    background-color: transparent;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-result .result::before {
    width: 0;
    height: 0;
    background-color: transparent;
  }
}

.wrapper .search-area .tracker-result .result:first-child:before {
  content: '';
  position: absolute;
  width: 0;
  height: 0;
  background-color: rgba(87, 87, 87, 0.241);
  left: 0;
  top: 50%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
}

.wrapper .search-area .tracker-result .result:last-child {
  border: none;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-result .result:last-child {
    margin-bottom: 0;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-result .result:last-child {
    margin-bottom: 0;
  }
}

.wrapper .search-area .tracker-result .result h3 {
  font-size: .7rem;
  color: #969696;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-bottom: 10px;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-result .result h3 {
    text-align: center;
    font-size: .65rem;
    font-weight: 700;
    margin-bottom: 3px;
  }
}

@media screen and (min-width: 600px) and (max-width: 900px) {
  .wrapper .search-area .tracker-result .result h3 {
    text-align: center;
    font-size: .65rem;
    font-weight: 700;
    margin-bottom: 3px;
  }
}

.wrapper .search-area .tracker-result .result p {
  color: #2b2b2b;
  font-weight: 500;
  font-size: 1.4rem;
  word-wrap: break-word;
  text-overflow: clip;
}

@media screen and (max-width: 599px) {
  .wrapper .search-area .tracker-result .result p {
    font-size: 1.25rem;
  }
}

.wrapper .search-map {
  width: 100%;
  height: 65vh;
}

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
